<template>
  <div class="details">
    <ul>
      <li>
        <p>
          Passager{{ passengersNumberForDeparture > 1 ? 's' : '' }} en montée :
          <strong>{{ passengersNumberForDeparture }}</strong>
        </p>
        <p>
          Passager{{ passengersNumberForArrival > 1 ? 's' : '' }} en descente :
          <strong>{{ passengersNumberForArrival }}</strong>
        </p>
      </li>
    </ul>
  </div>
</template>

<script>
export default {
  props: {
    step: {
      type: Object,
      required: true,
    },
  },
  computed: {
    passengersNumberForDeparture() {
      return this.step.shuttle.passengers.filter((p) => p.departure.id === this.step.location.id).length || 0;
    },
    passengersNumberForArrival() {
      return this.step.shuttle.passengers.filter((p) => p.arrival.id === this.step.location.id).length || 0;
    },
  },
};
</script>
